Bug 851217 - wallaby shell should detect if there are more wallaby agents on broker
wallaby shell should detect if there are more wallaby agents on broker
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
2.2
Unspecified Unspecified
medium Severity medium
: 2.3
: ---
Assigned To: Will Benton
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 10:08 EDT by Lubos Trilety
Modified: 2013-03-06 13:45 EST (History)
3 users (show)

See Also:
Fixed In Version: wallaby-0.16.1-1
Doc Type: Bug Fix
Doc Text:
Cause: There should be only one Wallaby agent running on the qpid broker, but in some rare cases it may be possible for two Wallaby agents to start on the same broker. Consequence: Running wallaby shell commands could have unpredictable results if more than one Wallaby agent is on the broker. Fix: The wallaby shell now ensures that only one Wallaby agent is running on the specified broker as part of its startup. Result: The aforementioned unpredictable behavior will be avoided.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:45:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-08-23 10:08:21 EDT
Description of problem:
Wallaby console should detect if there are two or more wallaby agents connected to the broker. In such case it should print clear error, something like:
"I'm refusing to run against two or more agents; kill one of these"

Now it prints general error message, which are not true:
"fatal:  cannot find a wallaby agent on the specified broker (host:5672); is one running?"

Version-Release number of selected component (if applicable):
wallaby-utils-0.12.5-10

How reproducible:
100%

Steps to Reproduce:
1. set two wallaby agents so they connect to the same broker
2. try to run some wallaby command, see output
# wallaby -H host list-nodes
Console Connection Established...
fatal:  cannot find a wallaby agent on the specified broker (host:5672); is one running?
Comment 2 Lubos Trilety 2012-12-19 08:28:25 EST
tested with:
wallaby-utils-0.16.1-2

tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

wallaby shell correctly detect if there is more than one wallaby agent connected

# wallaby -H host1 list-nodes
Console Connection Established...
fatal:  there is more than one Wallaby agent running on the specified broker (lt-rhel5_64-old:5672); only one may run at a time
  Agents found:
    pid 10150 on host1
    pid 24612 on host2
    pid 14393 on host3
    pid 23114 on host4

>>> verified
Comment 4 errata-xmlrpc 2013-03-06 13:45:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.